Calculation
Date: 2019-10-22

org.jmol.minimize.forcefield

## Class Calculation

- java.lang.Object
- - org.jmol.minimize.forcefield.Calculation

- Direct Known Subclasses:
    MMFFAngleCalc, MMFFDistanceCalc, MMFFESCalc, MMFFOOPCalc, MMFFSBCalc, MMFFTorsionCalc, MMFFVDWCalc, UFFAngleCalc, UFFDistanceCalc, UFFOOPCalc, UFFTorsionCalc, UFFVDWCalc

      abstract class Calculation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) MinAtom` | `a`
    `(package private) MinAtom` | `b`
    `(package private) MinAtom` | `c`
    `(package private) Calculations` | `calcs`
    `(package private) MinAtom` | `d`
    `(package private) double[]` | `dData`
    `(package private) double` | `dE`
    `(package private) double` | `delta`
    `(package private) double` | `energy`
    `(package private) int` | `ia`
    `(package private) int` | `ib`
    `(package private) int` | `ic`
    `(package private) int` | `id`
    `(package private) int[]` | `iData`
    `(package private) java.lang.Integer` | `key`
    `(package private) double` | `rab`
    `(package private) double` | `theta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Calculation()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) abstract double` | `compute(java.lang.Object[] dataIn)`
    `(package private) double` | `getEnergy()`
    `(package private) void` | `getPointers(java.lang.Object[] dataIn)`
    `(package private) Calculation` | `set(Calculations calcs)`
    `(package private) void` | `setData(javajs.util.Lst<java.lang.Object[]> calc, int ia, int ib, double d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          java.lang.Integer key

    - #### dE

          double dE

    - #### a

          MinAtom a

    - #### b

          MinAtom b

    - #### c

          MinAtom c

    - #### d

          MinAtom d

    - #### ia

          int ia

    - #### ib

          int ib

    - #### ic

          int ic

    - #### id

          int id

    - #### iData

          int[] iData

    - #### dData

          double[] dData

    - #### delta

          double delta

    - #### rab

          double rab

    - #### theta

          double theta

    - #### energy

          double energy

    - #### calcs

          Calculations calcs

  - ### Constructor Detail

    - #### Calculation

          Calculation()

  - ### Method Detail

    - #### set

          Calculation set(Calculations calcs)

    - #### setData

          void setData(javajs.util.Lst<java.lang.Object[]> calc,
                       int ia,
                       int ib,
                       double d)

      Parameters:
        `calc` -
        `ia` -
        `ib` -
        `d` -

    - #### compute

          abstract double compute(java.lang.Object[] dataIn)

    - #### getEnergy

          double getEnergy()

    - #### getPointers

          void getPointers(java.lang.Object[] dataIn)